Bug 861571 - [abrt] cherrytree-0.26.2-1.fc17: findreplace.py:116:find_in_all_nodes:AttributeError: 'NoneType' object has no attribute 'get_iter_at_mark'
[abrt] cherrytree-0.26.2-1.fc17: findreplace.py:116:find_in_all_nodes:Attribu...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cherrytree (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robin Lee
Fedora Extras Quality Assurance
abrt_hash:e55c95255292ffc050cf7c30427...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-29 04:37 EDT by zqfan
Modified: 2012-10-23 05:50 EDT (History)
3 users (show)

See Also:
Fixed In Version: cherrytree-0.28-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-23 05:50:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (334 bytes, text/plain)
2012-09-29 04:37 EDT, zqfan
no flags Details

  None (edit)
Description zqfan 2012-09-29 04:37:17 EDT
Description of problem:
The operating system is fedora17 x86_64

I just Yum install cherrytree.noarch

I start the Cherrytree success, but when I click on all the nodes replaced when, abrt tips I collapse

But the software should still running other function.


Version-Release number of selected component:
cherrytree-0.26.2-1.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
cmdline:        /usr/bin/python /usr/bin/cherrytree
kernel:         3.5.4-1.fc17.x86_64

backtrace:
:findreplace.py:116:find_in_all_nodes:AttributeError: 'NoneType' object has no attribute 'get_iter_at_mark'
:
:Traceback (most recent call last):
:  File "/usr/share/cherrytree/modules/core.py", line 2472, in replace_in_all_nodes
:    self.find_handler.replace_in_all_nodes()
:  File "/usr/share/cherrytree/modules/findreplace.py", line 474, in replace_in_all_nodes
:    self.find_in_all_nodes()
:  File "/usr/share/cherrytree/modules/findreplace.py", line 116, in find_in_all_nodes
:    iter_insert = self.dad.curr_buffer.get_iter_at_mark(self.dad.curr_buffer.get_insert())
:AttributeError: 'NoneType' object has no attribute 'get_iter_at_mark'
:
:Local variables in innermost frame:
:self: <findreplace.FindReplace instance at 0x1bf0560>
Comment 1 zqfan 2012-09-29 04:37:20 EDT
Created attachment 618924 [details]
File: core_backtrace
Comment 2 Robin Lee 2012-09-29 04:43:38 EDT
"... when I click on all the nodes replaced when, abrt tips I collapse"

means

... when I click on 'Replace/Replace in Nodes', abrt prompts me that Cherrytree collapsed
Comment 3 Giuseppe Penone 2012-10-03 10:37:24 EDT
ok this should be fixed in versions > 0.27.1
Comment 4 Fedora Update System 2012-10-10 23:13:43 EDT
cherrytree-0.28-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/cherrytree-0.28-1.fc17
Comment 5 Fedora Update System 2012-10-11 22:53:44 EDT
Package cherrytree-0.28-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cherrytree-0.28-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15964/cherrytree-0.28-1.fc17
then log in and leave karma (feedback).

Note You need to log in before you can comment on or make changes to this bug.